%global _hardened_build 1

# Make reproducible builds possible
%global source_date_epoch_from_changelog 0
%global clamp_mtime_to_source_date_epoch 1
%global use_source_date_epoch_as_buildtime 1
%define _buildhost apkg

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }

%if 0%{?suse_version}
# We don't seem to have %{dist} in SUSEs, define our own
%{!?dist: %define dist .sles8 }
%endif

Summary:	Symas's OpenLDAP Bcrypt module build
Name:		symas-openldap-pw-bcrypt
Version:	1.0.0
Release:	4+25%{?dist}
License:	Public Domain
# Apparently distro setup should fill this in, but can't see where,
# Fake ours from dist and strip the leading dot
Distribution: %(echo %{?dist} | tr -d .)

URL: https://github.com/wclarie/openldap-bcrypt/
VCS: https://git.symas.net/symas-public/pw-bcrypt.git

# One at a time, microdnf doesn't support comma separated dependencies
BuildRequires: symas-buildtools >= 1.0.4
BuildRequires: symas-openldap-api-dev = 2.5
BuildRequires: gcc
BuildRequires: make

Requires: symas-openldap-module-abi = 2.5

# Do not try and automatically determine dependencies
AutoReqProv: No

Source0: %{name}-v%{version}.tar.xz

Patch0: 0001-Fix-Makefile.patch

%description
This package contains the bcrypt password module for OpenLDAP

%prep
%setup -qn %{name}-v%{version}
%patch0 -p1

%build
export LDFLAGS="-L%{_sylibdir} -Wl,-rpath,%{_sylibdir} -Wl,--disable-new-dtags"
make prefix=%{_syprefix} LDAP_INC="-I%{_syprefix}/include -I%{_syprefix}/include/moddev" LDAP_LIB="" \
	LIBTOOL=%{_syprefix}/bin/moddev/libtool libexecdir=%{_sylibdir}

%install
make install DESTDIR=%{buildroot} prefix=%{_syprefix} libexecdir=%{_sylibdir} LIBTOOL=%{_syprefix}/bin/moddev/libtool
rm -f %{buildroot}%{_sylibdir}/openldap/pw-bcrypt.a
mkdir -p %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/
install -m 0644 LICENSE %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/
install -m 0644 README %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/

%files
%{_sylibdir}/openldap/pw-bcrypt*
%{_syprefix}/share/doc/pw-bcrypt

%changelog
* Thu Jun 06 2024 Symas Support <support@symas.com> - 1.0.0-4+25
- Switch to apkg for packaging
- Cleanup packaging across distros
* Thu Mar 23 2023 Symas Support <support@symas.com> - 1.0.0-3+25
- Indicate opendlap version in release number
- Restrict requires to openldap 2.5
* Wed Mar 16 2022 Symas Support <support@symas.com> - 1.0.0-3
- Do not link to libldap and liblber
* Thu Dec 2 2021 Symas Support <support@symas.com> - 1.0.0-2
- Package LICENSE and README files
* Tue Apr 6 2021 Symas Support <support@symas.com> - 1.0.0-1
- initial packaging
